#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	utf8proc
Version		:	2.9.0
Release		:	17.2.0.rel%{?dist}
Summary		:	C library for processing UTF-8 encoded Unicode strings

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/JuliaStrings/utf8proc

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	ninja

#-----------------------------------------------------------------------------
%description
utf8proc is a small, clean C library that
provides Unicode normalization, case-folding,
and other operations for data in the UTF-8 encoding.
It was initially developed by Jan Behrens and
the rest of the Public Software Group, who deserve
nearly all of the credit for this package.
With the blessing of the Public Software Group,
the Julia developers have taken over development of
utf8proc, since the original developers have moved
to other projects.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.md
%{_libdir}/lib%{name}.so.3*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Contains header files for developing applications
that use the %{name} library.
 
The documentation for the C library is found
in the utf8proc.h header file.
"utf8proc_map" is most likely the function you
will be using for mapping UTF-8 strings,
unless you want to allocate memory yourself.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_LIBDIR=lib			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D BUILD_SHARED_LIBS=ON				\
	-G Ninja					\

ninja							\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}				\
        ninja					\
        -C _bld					\
        install

#-----------------------------------------------------------------------------
%changelog
